%define anolis_release 2

Summary:	Regular expressions library
Name:		oniguruma
Version:	6.9.8
Release:	%{anolis_release}%{?dist}
License:	BSD
URL:		https://github.com/kkos/oniguruma/
Source0:	https://github.com/kkos/oniguruma/releases/download/v%{version}/onig-%{version}.tar.gz

BuildRequires:	gcc make

%description
%{name} is a regular expression engine library that is written in C programming
language. It was originally developed by K. Kosako to be used in the Ruby
programming language, but it can be used in other programming languages as
well.

%{name} provides a powerful and flexible way of working with regular
expressions, which are patterns used to match and manipulate text. It
supports a wide range of regular expression syntaxes, including POSIX,
Perl, and Ruby, and provides many useful features such as capturing,
back-referencing, lookahead/lookbehind assertions, and more.

Supported character encodings:

ASCII, UTF-8, UTF-16BE, UTF-16LE, UTF-32BE, UTF-32LE, EUC-JP, EUC-TW,
EUC-KR, EUC-CN, Shift_JIS, Big5, GB18030, KOI8-R, CP1251, ISO-8859-1,
ISO-8859-2, ISO-8859-3, ISO-8859-4, ISO-8859-5, ISO-8859-6, ISO-8859-7,
ISO-8859-8, ISO-8859-9, ISO-8859-10, ISO-8859-11, ISO-8859-13,
ISO-8859-14, ISO-8859-15, ISO-8859-16

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n onig-%{version}
%{__sed} -i.multilib -e 's|-L@libdir@||' onig-config.in

%build
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-posix-api \
	--enable-binary-compatible-posix-api \
	--with-rubydir=%{_bindir}
%make_build


%install
%make_install DESTDIR=%{buildroot} INSTALL="%{__install} -c -p"

%check
%{__make} check

%ldconfig_scriptlets

%files
%defattr(-,root,root,-)
%license	COPYING
%doc	 AUTHORS HISTORY README.md index.html
%lang(ja)	%doc	README_japanese
%lang(ja)	%doc	index_ja.html

%{_libdir}/libonig.so.5*

%files devel
%defattr(-,root,root,-)
%doc	doc/API doc/CALLOUTS.API doc/CALLOUTS.BUILTIN doc/FAQ doc/RE
%doc	doc/SYNTAX.md doc/UNICODE_PROPERTIES
%lang(ja)	%doc	doc/API.ja
%lang(ja)	%doc	doc/CALLOUTS.API.ja
%lang(ja)	%doc	doc/CALLOUTS.BUILTIN.ja
%lang(ja)	%doc	doc/FAQ.ja
%lang(ja)	%doc	doc/RE.ja

%{_bindir}/onig-config

%{_libdir}/libonig.so
%{_includedir}/onig*.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Apr 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 6.9.8-2
- optimize spec file

* Mon May 30 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 6.9.8-1
- init from upstream
